com.sun.grid.jgdi.configuration

## Class HostgroupImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.HostgroupImpl

- All Implemented Interfaces:
    GEObject, Hostgroup, java.io.Serializable, java.lang.Cloneable

      public class HostgroupImpl
      extends GEObjectImpl
      implements Hostgroup

  Java representation of the cull object HGRP_Type defined in sge_all_listsL.template

  Warning: The HostgroupImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostgroupImpl()` Create a new instance of HostgroupImpl.
    `HostgroupImpl(boolean initWithDefaultValues)` Create a new instanceof
    `HostgroupImpl(java.lang.String name)` Create a new instance of HostgroupImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHost(java.lang.String ahost)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getHost(int index)` Get a java.lang.String attribute at an index.
    `int` | `getHostCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getHostList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `boolean` | `isSetHost()` Determine if the host attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `void` | `removeAllHost()` Remove all java.lang.String attributes.
    `java.lang.String` | `removeHost(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeHost(java.lang.String ahost)` Remote a specific java.lang.String attribute.
    `void` | `setHost(int index, java.lang.String ahost)` Set a java.lang.String attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### HostgroupImpl

          public HostgroupImpl()

      Create a new instance of HostgroupImpl. The new instance will not be initialized with the default values.

    - #### HostgroupImpl

          public HostgroupImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### HostgroupImpl

          public HostgroupImpl(java.lang.String name)

      Create a new instance of HostgroupImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `Hostgroup`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `Hostgroup`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `Hostgroup`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### addHost

          public void addHost(java.lang.String ahost)

      Add a java.lang.String attribute.
      Specified by:
        `addHost` in interface `Hostgroup`
      Parameters:
        `ahost` - the new java.lang.String attribute

    - #### setHost

          public void setHost(int index,
                              java.lang.String ahost)

      Set a java.lang.String attribute.
      Specified by:
        `setHost` in interface `Hostgroup`
      Parameters:
        `index` - index of the java.lang.String attribute
        `ahost` - the new java.lang.String attribute

    - #### removeAllHost

          public void removeAllHost()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllHost` in interface `Hostgroup`

    - #### removeHost

          public java.lang.String removeHost(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeHost` in interface `Hostgroup`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeHost

          public boolean removeHost(java.lang.String ahost)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeHost` in interface `Hostgroup`
      Parameters:
        `ahost` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getHostList

          public java.util.List<java.lang.String> getHostList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getHostList` in interface `Hostgroup`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getHostCount

          public int getHostCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getHostCount` in interface `Hostgroup`
      Returns:
        The number of java.lang.String attributes.

    - #### getHost

          public java.lang.String getHost(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getHost` in interface `Hostgroup`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetHost

          public boolean isSetHost()

      Determine if the host attribute is set
      Specified by:
        `isSetHost` in interface `Hostgroup`
      Returns:
        `true` if the host attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Hostgroup`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.